/*---------- header css ----------*/
.c-menu-expand{
  position: absolute;
  top: 22px;
  left: 10px;
  z-index: 2;
  width: 31px;
  height: 31px;
  border: none;
  background-color: transparent;
  &:focus{
    outline: none;
    border: none;
  }
  span{
    background-color: $color-primary;
    font-size: 0;
    width: 13px;
    height: 3px;
    position: absolute;
    top: 12px;
    left: 6px;
    @include border-radius(2px);
    &:before, &:after{
      content: "";
      background-color: $color-primary;
      position: absolute;
      left: 0;
      width: 100%;
      height: 100%;
      @include transition-all(0.4s);
      @include border-radius(2px);
    }
    &:before{
      transform: translateY(-6px);
      width: 18px;
    }
    &:after{
      transform: translateY(6px);
      width: 8px;
    }
  }
  &.is-active{
    span{
      background-color: transparent;
      left: 5px;
      &:before, &:after{
        background-color: $color-white;
      }
      &:before{
        transform: translateY(0px) rotate(45deg);
        width: 20px;
      }
      &:after{
        transform: translateY(0px) rotate(-45deg);
        width: 20px;
      }
    }
  }
}
.l-nav{
  background: $color-white;
}
.c-nav-top{
  background: $color-secondary;
  height: 40px;
}
.c-nav-left{
  margin-left: -10px;
  display: inline-block;
  vertical-align: middle;
}
.c-menu-top{
  display: inline-block;
  vertical-align: middle;
  >ul{
    list-style: none;
    margin: 0;
    padding: 0;
    >li{
      float: left;
      >a{
        text-decoration: none;
        color: $color-white;
        line-height: 40px;
        display: block;
        padding: 0 10px;
        .c-menu-top__text{
          display: none;
        }
        .c-menu-top__online{
          margin-left: 5px;
        }
        .c-menu-top__icon{
          font-size: 16px;
          vertical-align: middle;
          margin-top: -1px;
        }
        .fa-caret-down{
          margin-left: 4px;
        }
      }
    }
  }
}
.c-nav-right{
  float: right;
  margin-right: -10px;
}
.c-header{
  border-bottom: 1px solid $color-border;
  position: relative;
  z-index: 10;
}
.c-header-inner{
  padding: 10px 0;
}
.c-logo{
  text-align: center;
  img{
    width: auto;
    height: auto;
    max-height: 50px;
  }
}
.c-search{
  height: 42px;
  border: 2px solid $color-border;
  margin-top: 10px;
  @include border-radius(4px);
  .c-search__select{
    width: 174px;
    float: left;
    display: none;
  }
  .c-search__inner{
    position: relative;
    z-index: 1;
  }
  .form-control, .custom-select{
    background-color: transparent;
    border: none;
  }
  .form-control{
    padding-right: 42px;
  }
  .c-search__btn{
    position: absolute;
    z-index: 2;
    top: -2px;
    right: -2px;
    padding: 0;
    text-align: center;
    border: none;
    background: $color-secondary;
    color: $color-white;
    text-transform: uppercase;
    height: 42px;
    width: 42px;
    cursor: pointer;
    @include border-radius(0 4px 4px 0);
    &:before{
      content: "";
      border-top: 21px solid transparent;
      border-right: 12px solid $color-secondary;
      border-bottom: 21px solid transparent;
      border-left: 12px solid transparent;
      width: 0;
      height: 0;
      position: absolute;
      z-index: 2;
      left: -24px;
      top: 0;
    }
    span{
      display: none;
      font-weight: 700;
    }
    .fas, .far{
      font-size: 16px;
    }
    &:focus{
      outline: none;
    }
  }
}
.c-free-delivery{
  position: absolute;
  z-index: 2;
  top: 23px;
  right: 0;
  line-height: normal;
  display: none;
  &__text{
    float: left;
    width: 150px;
    text-align: right;
    b{
      display: block;
    }
  }
  img{
    float: right;
    margin-left: 5px;
  }
}
//header responsive css
@media (min-width: $screen-sm-min){//mobile lanscape

}
@media (min-width: $screen-md-min){//ipad portrait

}
@media (min-width: $screen-lg-min){//ipad lanscape & pc 1024x768px
  .c-menu-expand{
    display: none;
  }
  .c-menu-top{
    >ul{
      >li{
        >a{
          .c-menu-top__text{
            display: inline;
          }
          .c-menu-top__icon{
            margin-right: 5px;
          }
          .c-menu-top__online{
            margin-left: 0;
          }
        }
      }
    }
  }
  .c-header-inner{
    height: 81px;
    padding: 0;
    position: relative;
    z-index: 10;
  }
  .c-logo{
    float: left;
    margin-top: 10px;
    img{
      max-height: 60px;
    }
  }
  .c-search{
    position: absolute;
    z-index: 2;
    left: 200px;
    top: 19px;
    width: 550px;
    margin-top: 0;
    .c-search__select{
      display: block;
    }
    .c-search__inner{
      margin-left: 174px;
    }
    .form-control{
      padding-right: 104px;
    }
    .c-search__btn{
      width: 104px;
      span{
        display: inline-block;
        margin-right: 5px;
      }
    }
  }
  .c-free-delivery{
    display: block;
    display: flex;
    align-items: center;
  }
}
@media (min-width: $screen-xl-min){//pc & mac 1280px grow up
  .c-search{
    width: 650px;
    left: 250px;
  }
}
//header responsive css
/*---------- end header css ----------*/